Register shipment for tracking: V2
Using this API enterprises can register an AWB for tracking updates with Clickpost. It takes the AWB number, carrier partner ID, shipment information, pick-up and drop information and additional details as input and returns the Clickpost tracking ID in response.
Overview
Register an AWB for tracking updates with Clickpost, given the AWB number, carrier partner ID, shipment information, pick-up and drop information and additional details as input. Applicable for Indian geographies.
Usecase
This is a standard API that supports MPS and SPS orders
URL
POST https://www.clickpost.in/api/v2/tracking/awb-register/
Body Payload
Payload encapsulates details regarding the AWB to be registered, and its details
| Field Name | Data Type | Field | Description | Max Length | Example |
|---|---|---|---|---|---|
waybill | String | Mandatory | AWB to be registered | 100 | "TESTAWB00001" |
cp_id | Integer | Mandatory | Each carrier partner has a unique identifier (Integer value) in the Clickpost system, which will be used to identify the courier partner and track the shipment. List: https://carriers.clickpost.ai/ | 215 | |
key | String | Mandatory | Unique license key for the enterprise user provided by Clickpost | 100 | "34be9be5-3de8-4223-ad14-d7391159b80e" |
account_code | String | Mandatory | Courier partner account name configured on the Clickpost dashboard | 100 | "test_account" |
consumer_details | Object | Optional | Details of the consumer | ||
shipment_info | Object | Optional | Details of the shipment to be registered | ||
pickup_info | Object | Optional | Details of the pickup location | ||
drop_info | Object | Optional | Details of the drop location | ||
additional | Object | Optional | Additional optional fields |
Consumer Details (consumer_details)
consumer_details)| Field Name | Data Type | Field | Description | Max Length | Example |
|---|---|---|---|---|---|
name | String | Mandatory | Name of the consumer | 250 | "Test Customer" |
phone | String | Mandatory | Phone number of the consumer | 80 | "8080808080" |
email | String | Optional | Email of the consumer | 150 | "[email protected]" |
Additional Fields (additional)
additional)In the "additional" object optional fields can be passed which may be used by the carrier partner, or give additional details for the order.
| Field Name | Data Type | Field | Description | Max Length | Example |
|---|---|---|---|---|---|
order_date | Date | Optional | Date of placing the order. Accepted formats: YYYY-MM-DD, YYYY-MM-DDTHH:MM:SS, YYYY-MM-DD HH:MM:SS, YYYY-MM-DDTHH:MM:SS%z, YYYY-MM-DD HH:MM:SS%z | 50 | "2022-10-01" |
ship_date | Date | Optional | Date of shipping the order. Accepted formats: YYYY-MM-DD, YYYY-MM-DDTHH:MM:SS, YYYY-MM-DD HH:MM:SS, YYYY-MM-DDTHH:MM:SS%z, YYYY-MM-DD HH:MM:SS%z | 50 | "2022-10-01" |
language_code | String | Optional | ISO Alpha-3 Language code for the shipment | 3 | "eng" |
min_edd | Integer | Optional | Minimum committed estimated delivery duration (in days) of the shipment | 5 | |
max_edd | Integer | Optional | Maximum committed estimated delivery duration (in days) of the shipment | 5 | |
channel_name | String | Optional | The channel through which the order was placed. Example: Unicommerce, EasyEcom, Shopify, Retail Store | Unicommerce | |
zone | String | Optional | If you wish to club multiple pickup-drop pin-codes together for easier recommendation allocation rule or for better visibility on internal business metrics based on a collection of pin-codes, this field is handy. The zone wise analytics* will be visible under Home > Analytics > Zone Analysis | ||
estimated_delivery_date | Date | Optional | The date of estimated delivery has been shared with the customer. This field can be used to measure carrier performance by comparing it with the actual date of delivery in the Clickpost reports. Accepted formats: YYYY-MM-DD, YYYY-MM-DDTHH:MM:SS, YYYY-MM-DD HH:MM:SS, YYYY-MM-DDTHH:MM:SS%z, YYYY-MM-DD HH:MM:SS%z | "2025-06-14" | |
allocation_date | Date | Optional | Allocation date. Accepted formats: YYYY-MM-DD, YYYY-MM-DDTHH:MM:SS, YYYY-MM-DD HH:MM:SS, YYYY-MM-DDTHH:MM:SS%z, YYYY-MM-DD HH:MM:SS%z | "2017-02-14T18:00:00+05:30" | |
channel_order_id | String | Optional | Channel order ID | "channel_order_id" | |
order_id | String | Optional | Order ID | "ORDER-12" | |
from_wh | String | Optional | source warehouse | "SOURCE WAREHOUSE" | |
to_wh | String | Optional | destination warehouse | "DESTINATION WAREHOUSE" | |
user_defined_field_array | List[Object] | Optional | Custom user-defined fields. Supported names: udf_1 to udf_10. Each object contains name, type, and value | [{"name":"udf_1","type":"string","value":"high"}] | |
cp_specific_fields | Object | Optional | Carrier-specific key-value fields | {"vendor_code":"ABC"} |
Shipment Info (shipment_info)
shipment_info)In the shipment_info field, the details regarding all items, and important order details like payment type, delivery type, package dimensions, etc. are added.
| Field Name | Data Type | Field | Description | Max Length | Example |
|---|---|---|---|---|---|
item | String | Optional | Short description of the item / package | 500 | "Shirt" |
height | Integer | Optional | Height of the overall package (in cms) | 25 | |
breadth | Integer | Optional | Width of the overall package (in cms) | 45 | |
length | Integer | Optional | Length of the overall package (in cms) | 75 | |
weight | Integer | Optional | Weight of the package (in gms) | 500 | |
reference_number | String | Optional | Reference number of the order | 100 | "TestOrder00001" |
cod_amount | Float | Optional | Cash to be given to the carrier. Must be non-zero for COD orders, and zero for PREPAID orders | 25.25 | |
order_id | String | Optional | Identification string for the order | 100 | "TestOrderID00001" |
order_type | String | Optional | Type of payment of the shipment. Accepted values: "COD", "PREPAID", "EXCHANGE" | "COD" | |
delivery_type | String | Optional | Type of delivery. Accepted values: "FORWARD", "RVP" | "FORWARD" | |
invoice_value | Float | Optional | Value of the shipment as mentioned in the invoice | 256.29 | |
invoice_url | String | Optional | URL of the invoice | ||
currency_code | String | Optional | Currency code for monetary fields | "INR" | |
shipping_charges | Float | Optional | Shipping charges for the shipment | 50.0 | |
sku_code | String | Optional | SKU code at shipment level | 500 | "SKU0001" |
source_warehouse | String | Optional | Source warehouse identifier | 200 | "WH-DEL" |
pickup_pincode | String | Optional | Pickup pincode | 100 | "110001" |
drop_pincode | String | Optional | Drop pincode | 100 | "560001" |
drop_address | String | Optional | Drop address | 500 | "123, ABC Street" |
pickup_lat | Float | Optional | Latitude of the pickup location | 45.12211 | |
pickup_long | Float | Optional | Longitude of the pickup location | 88.12342 | |
drop_lat | Float | Optional | Latitude of the drop location | 45.12211 | |
drop_long | Float | Optional | Longitude of the drop location | 88.12342 | |
drop_start_time | Date | Optional | Drop window start. Accepted formats: YYYY-MM-DD, YYYY-MM-DDTHH:MM:SS, YYYY-MM-DD HH:MM:SS, YYYY-MM-DDTHH:MM:SS%z, YYYY-MM-DD HH:MM:SS%z | "2025-06-14T10:00:00+05:30" | |
drop_end_time | Date | Optional | Drop window end. Accepted formats: YYYY-MM-DD, YYYY-MM-DDTHH:MM:SS, YYYY-MM-DD HH:MM:SS, YYYY-MM-DDTHH:MM:SS%z, YYYY-MM-DD HH:MM:SS%z | "2025-06-14T18:00:00+05:30" | |
additional | Object | Optional | Nested object containing item-level details via the items array |
Item Level details (shipment_info.additional.items)
shipment_info.additional.items)The details for each item to be delivered are passed in the items field inside shipment_info.additional.
| Field Name | Data Type | Field | Description | Max Length | Example |
|---|---|---|---|---|---|
sku | String | Optional | Stock-keeping unit of the item | 500 | "SKU0001" |
description | String | Optional | Brief description of the item | 500 | "Brown Cotton Socks - 1 pair" |
quantity | Integer | Optional | Number of units of the item | 5 | |
weight | Integer | Optional | Weight of each unit of the item (in gms) | 500 | |
price | Float | Optional | Price of each unit of the item | 64.99 | |
cat | String | Optional | Category of the item in question | Footwear | |
return_days | Integer | Optional | Number of days within which the item can be returned | 5 | |
product_url | String | Optional | URL for the product. If there are multiple URLs, they can be sent as a single string with comma-separated values | 1000 | "http://link1.to.product, http://link2.to.product" |
images | String | Optional | URL for the image(s) of the product. If there are multiple URLs, they can be sent as a single string with comma-separated values | 1000 | "http://link.to.product.image1, http://link.to.product.image2" |
length | Integer | Optional | Length of the item (in cms) | 10 | |
breadth | Integer | Optional | Breadth of the item (in cms) | 10 | |
height | Integer | Optional | Height of the item (in cms) | 10 | |
brand | String | Optional | Brand of the item | 100 | "Nike" |
color | String | Optional | Color of the item | "Brown" | |
discount | Float | Optional | Discount amount | 10.0 | |
store_credits_used | Float | Optional | Store credits used for the item | 0 |
Pickup Info (pickup_info)
pickup_info)| Field Name | Data Type | Field | Description | Example |
|---|---|---|---|---|
name | String | Optional | Pickup contact name | "John Smith" |
phone | String | Optional | Pickup contact phone | "9876543210" |
phone_code | String | Optional | Country dialing code | "91" |
email | String | Optional | Pickup contact email | "[email protected]" |
address | String | Optional | Pickup address | "123, ABC Street" |
city | String | Optional | Pickup city | "New Delhi" |
state | String | Optional | Pickup state | "Delhi" |
district | String | Optional | Pickup district | |
pincode | String | Optional | Pickup pincode | "110001" |
postal_code | String | Optional | Pickup postal code | "110001" |
country_code | String | Optional | Alpha-2 ISO country code | "IN" |
lat | Float | Optional | Latitude of the pickup location | 28.6139 |
long | Float | Optional | Longitude of the pickup location | 77.2090 |
pickup_organisation | String | Optional | Pickup organisation name | |
time | Date | Optional | Pickup time. Accepted formats: YYYY-MM-DD, YYYY-MM-DDTHH:MM:SS, YYYY-MM-DD HH:MM:SS, YYYY-MM-DDTHH:MM:SS%z, YYYY-MM-DD HH:MM:SS%z | "2025-06-14T10:00:00" |
Drop Info (drop_info)
drop_info)| Field Name | Data Type | Field | Description | Example |
|---|---|---|---|---|
name | String | Optional | Drop contact name | "Test Customer" |
phone | String | Optional | Drop contact phone | "8080808080" |
phone_code | String | Optional | Country dialing code | "91" |
email | String | Optional | Drop contact email | "[email protected]" |
address | String | Optional | Drop address | "123, MG Road" |
city | String | Optional | Drop city | "Bengaluru" |
state | String | Optional | Drop state | "Karnataka" |
district | String | Optional | Drop district | |
landmark | String | Optional | Landmark near the drop location | |
pincode | String | Optional | Drop pincode | "560001" |
postal_code | String | Optional | Drop postal code | "560001" |
country_code | String | Optional | Alpha-2 ISO country code | "IN" |
lat | Float | Optional | Latitude of the drop location | 12.9716 |
long | Float | Optional | Longitude of the drop location | 77.5946 |
drop_organisation | String | Optional | Drop organisation name | |
drop_start_time | Date | Optional | Drop window start. Accepted formats: YYYY-MM-DD, YYYY-MM-DDTHH:MM:SS, YYYY-MM-DD HH:MM:SS, YYYY-MM-DDTHH:MM:SS%z, YYYY-MM-DD HH:MM:SS%z | "2025-06-14T10:00:00+05:30" |
drop_end_time | Date | Optional | Drop window end. Accepted formats: YYYY-MM-DD, YYYY-MM-DDTHH:MM:SS, YYYY-MM-DD HH:MM:SS, YYYY-MM-DDTHH:MM:SS%z, YYYY-MM-DD HH:MM:SS%z | "2025-06-14T18:00:00+05:30" |
user_category | String | Optional | User category | |
collection_point_id | String | Optional | Collection point ID |
Response
The sample response can have the following fields
| Field Name | Data Type | Description |
|---|---|---|
meta | Object | Metadata for the result, e.g. status code, error messages. |
result | Object | Actual result of the request |
errorDetail | List[String] | Detailed validation or error messages, when applicable |
Response Meta
| Field Name | Data Type | Description |
|---|---|---|
status | Integer | Status code of the response (including, but not limited to HTTP Status codes) |
message | String | Error message (if any errors) for the request. |
success | Boolean | Whether the request is successful or not. |
Response Result
| Field Name | Data Type | Description |
|---|---|---|
tracking_id | Integer | Tracking ID of the newly registered waybill stored in our database. |
security_key | String | UUID string for the security key of the order |
shipment_info | Object or False | An object that contains only a single field: id that is the ID of the shipment. If shipment_info was not passed in the request body, it will be returned as Boolean False |
consumer_details | Object or False | An object that contains only a single field: id that is the ID of the consumer. If consumer_details was not passed in the request body, it will be returned as Boolean False |
Sample Request
{
"waybill": "ABCDRESDEFGHIJKL1257679",
"cp_id": 1,
"key": "42d42a34-ae09-4693-b20c-ae2624218a329",
"account_code": "Fedex Domestic",
"consumer_details": {
"name": "Test Customer",
"phone": "8080808080",
"email": "[email protected]"
},
"shipment_info": {
"item": "Shirt",
"order_type": "COD",
"invoice_value": 1000,
"reference_number": "123XYZ",
"length": 10,
"height": 10,
"weight": 10,
"breadth": 10,
"pickup_lat": 45.12211,
"pickup_long": 88.12342,
"drop_lat": 45.12211,
"drop_long": 88.12342,
"drop_pincode": "110001",
"pickup_pincode": "110001",
"delivery_type": "FORWARD",
"cod_amount": 1000.10,
"drop_address": "Roots hacker Home, R 28, Second Floor, Nehru Enclace, Opposite Nehru Place, New Delhi 110001",
"additional": {
"items": [
{
"sku": "XYZ1",
"description": "item1",
"quantity": 1,
"price": 200,
"images": "<Image URL>",
"return_days": 2,
"length": 10,
"height": 10,
"breadth": 10,
"weight": 100
}
]
}
},
"additional": {
"order_date": "2017-02-14",
"ship_date": "2017-02-14",
"min_edd": 2,
"max_edd": 4,
"estimated_delivery_date": "2025-06-14",
"order_id": "ORDER-12",
"allocation_date": "2017-02-14T18:00:00+05:30",
"channel_order_id": "channel_123",
"from_wh": "SOURCE WAREHOUSE",
"to_wh": "DESTINATION WAREHOUSE"
}
}Sample Response
Success
{
"meta": {
"status": 200,
"message": "SUCCESS",
"success": true
},
"result": {
"consumer_details": {
"id": 475565855
},
"shipment_info": {
"id": 456652061
},
"tracking_id": 494235601,
"security_key": "35aae392-5009-436a-b29b-7ddb2db518ab"
},
"errorDetail": null
}{
"meta": {
"status": 303,
"message": "Waybill already registered",
"success": false
},
"result": null,
"errorDetail": [
"Waybill already registered"
]
}Authentication Errors
{
"meta": {
"status": 301,
"message": "Authentication Failed: Invalid API Key",
"success": false
}
}Account Errors
{
"meta": {
"status": 353,
"success": false,
"message": "Clickpost Account: Inactive"
},
"result": null,
"errorDetail": [
{
"message": "Clickpost Account: Inactive for courier partner 4 and account code shop3",
"bucket": "ACCOUNT_INACTIVE",
"recommendedActions": "The Clickpost account for this courier partner and account code is inactive. Activate it, then retry."
}
]
}{
"meta": {
"status": 351,
"success": false,
"message": "Clickpost Account: Does not exist"
},
"result": null,
"errorDetail": [
{
"message": "Clickpost Account: Does not exist for courier partner 4 and account code shop213456781",
"bucket": "ACCOUNT_NOT_FOUND",
"recommendedActions": "No Clickpost account exists for this courier partner and account code. Create the courier account or correct the account code, then retry."
}
]
}{
"meta": {
"status": 302,
"success": false,
"message": "Invalid CP ID"
},
"result": null,
"errorDetail": [
{
"message": "Invalid CP ID",
"bucket": "INVALID_COURIER_PARTNER",
"recommendedActions": "The courier partner id is invalid. Pass a supported courier partner and retry."
}
]
}Validation Errors
{
"meta": {
"status": 400,
"message": "Error: Invalid API request data",
"success": false
},
"result": null,
"errorDetail": [
"waybill is required and cannot be blank"
]
}{
"meta": {
"status": 400,
"message": "Error: Invalid API request data",
"success": false
},
"result": null,
"errorDetail": [
"shipment_info.order_type must be COD, PREPAID or EXCHANGE"
]
}{
"meta": {
"status": 328,
"message": "Invalid Payload. Please pass a valid json",
"success": false
},
"result": null,
"errorDetail": [
"Unexpected JSON token at offset 0"
]
}Zone Wise Analytics

Updated 2 months ago
